CVE-2021-31525

Click the icon to Follow me:- twitterTelegramRedditDiscord

Summary:

net/http in Go before 1.15.12 and 1.16.x before 1.16.4 allows remote attackers to cause a denial of service (panic) via a large header to ReadRequest or ReadResponse. Server, Transport, and Client can each be affected in some configurations.

Reference Links(if available):

  • https://github.com/golang/go/issues/45710
  • https://groups.google.com/g/golang-announce/c/cu9SP4eSXMc
  • CVSS Score (if available)

    v2: / MEDIUM

    v3: /

    Links to Exploits(if available)